import request from '@/router/request';

// 查询SalesshSalesPromotion列表
export function listshSalesPromotion(query) {
    return request({
        url: '/system/shSalesPromotion/list',
        method: 'get',
        params: query,
        headers: {
            isToken: true,
        },
    })
}

// 查询SalesshSalesPromotion详细
export function getshSalesPromotion(id) {
    return request({
        url: '/system/shSalesPromotion/' + id,
        method: 'get',
        headers: {
            isToken: true,
        },
    })
}

// 新增SalesshSalesPromotion
export function addshSalesPromotion(data) {
    return request({
        url: '/system/shSalesPromotion',
        method: 'post',
        data: data,
        headers: {
            isToken: true,
        },
    })
}

// 修改SalesshSalesPromotion
export function updateshSalesPromotion(data) {
    return request({
        url: '/system/shSalesPromotion',
        method: 'put',
        data: data,
        headers: {
            isToken: true,
        },
    })
}

// 删除SalesshSalesPromotion
export function delshSalesPromotion(id) {
    return request({
        url: '/system/shSalesPromotion/' + id,
        method: 'delete',
        headers: {
            isToken: true,
        },
    })
}
